Skip to content

Catalog and proposals

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

Catalog list

HTTP
GET /api/v1/tenants/{tenant_id}/catalog

Contract operation: CatalogController.catalog_list.

SDK Method
Python catalog
TypeScript catalog.list
Java client.catalog.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
kind query QueryParam[str | None] No null
parent_id query QueryParam[str | None] No null
workspace_id query QueryParam[str | None] No null
project_id query QueryParam[str | None] No null
include_archived query QueryParam[bool] No false
view query QueryParam[str] No "raw"
q query QueryParam[str] No ""
status query QueryParam[str | None] No null
format query QueryParam[str | None] No null
tag query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 100
sort query QueryParam[str] No "name"
order query QueryParam[str] No "asc"

Request and response

Contract Value
Request schema No request schema declared
Response schema Page[CatalogEntry]
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog create

HTTP
POST /api/v1/tenants/{tenant_id}/catalog

Contract operation: CatalogController.catalog_create.

SDK Method
Python create
TypeScript catalog.create
Java client.catalog.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[CatalogCreate]] Yes Not specified

Request and response

Contract Value
Request schema CatalogCreate
Response schema CatalogEntry
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog get

HTTP
GET /api/v1/tenants/{tenant_id}/catalog/{entry_id}

Contract operation: CatalogController.catalog_get.

SDK Method
Python get
TypeScript catalog.get
Java client.catalog.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema CatalogEntry
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog patch

HTTP
PATCH /api/v1/tenants/{tenant_id}/catalog/{entry_id}

Contract operation: CatalogController.catalog_patch.

SDK Method
Python update
TypeScript catalog.update
Java client.catalog.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified
body body Valid[Body[CatalogPatch]] Yes Not specified

Request and response

Contract Value
Request schema CatalogUpdate
Response schema CatalogEntry
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog archive

HTTP
POST /api/v1/tenants/{tenant_id}/catalog/{entry_id}/archive

Contract operation: CatalogController.catalog_archive.

SDK Method
Python archive
TypeScript catalog.archive
Java client.catalog.archive

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified
expected_updated_at query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema CatalogEntry
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog restore

HTTP
POST /api/v1/tenants/{tenant_id}/catalog/{entry_id}/restore

Contract operation: CatalogController.catalog_restore.

SDK Method
Python restore
TypeScript catalog.restore
Java client.catalog.restore

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified
expected_updated_at query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema CatalogEntry
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Catalog delete

HTTP
DELETE /api/v1/tenants/{tenant_id}/catalog/{entry_id}

Contract operation: CatalogController.catalog_delete.

SDK Method
Python delete
TypeScript catalog.delete
Java client.catalog.delete

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema No response body
Success status 204
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Move

HTTP
POST /api/v1/tenants/{tenant_id}/catalog/{entry_id}/move

Contract operation: CatalogHierarchyController.move.

SDK Method
Python move
TypeScript catalog.move
Java client.catalog.move

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
entry_id path PathVar[str] Yes Not specified
body body Valid[Body[CatalogMove]] Yes Not specified

Request and response

Contract Value
Request schema CatalogMove
Response schema CatalogEntry
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/chat/runs/{run_id}/proposals/{proposal_id}

Contract operation: CatalogProposalController.get.

SDK Method
Python proposal
TypeScript chat.proposals.get
Java client.chatProposals.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
run_id path PathVar[str] Yes Not specified
proposal_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema CatalogProposal
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Confirm

HTTP
POST /api/v1/tenants/{tenant_id}/chat/runs/{run_id}/proposals/{proposal_id}/confirm

Contract operation: CatalogProposalController.confirm.

SDK Method
Python confirm_proposal
TypeScript chat.proposals.confirm
Java client.chatProposals.confirm

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
run_id path PathVar[str] Yes Not specified
proposal_id path PathVar[str] Yes Not specified
body body Valid[Body[ProposalConfirmation]] Yes Not specified

Request and response

Contract Value
Request schema ProposalConfirmation
Response schema CatalogProposal
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/chat/runs/{run_id}/proposals/{proposal_id}/cancel

Contract operation: CatalogProposalController.cancel.

SDK Method
Python cancel_proposal
TypeScript chat.proposals.cancel
Java client.chatProposals.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
run_id path PathVar[str] Yes Not specified
proposal_id path PathVar[str] Yes Not specified
body body Valid[Body[ProposalRevision]] Yes Not specified

Request and response

Contract Value
Request schema ProposalRevision
Response schema CatalogProposal
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.